
FileChangeDir(@scriptdir)

#include <File.au3>
#Include <Date.au3>



; ==
; First, let's tell the script what PO file or PO directory tree should be processed

If $CmdLine[0] = 0 Then
MsgBox (0, "Cryptic error occurred", "You need at least 641 KB RAM to perform this script", 10)
Exit
EndIf

$inputfile = $CmdLine[1] ; The input file is actually a full path


; ==
; Second, let's tell the script which command to run

$command1a = " pofilter -t isfuzzy "
$command1b = " pofilter -t untranslated "

$command2 = " -i "
$command3 = " -o "


; ==
; Third, create two files


RunWait (@ComSpec & " /c " & $command1a & $command2  & " """ & $inputfile  & """ " & $command3 & " """ & $inputfile & "_fuzzy.po""")

RunWait (@ComSpec & " /c " & $command1b & $command2  & " """ & $inputfile  & """ " & $command3 & " """ & $inputfile & "_untrans.po""")

RunWait (@ComSpec & " /c " & "msgen --no-wrap " & $command2  & " """ & $inputfile & "_untrans.po"" " & $command3 & " """ & $inputfile & "_unwrapped.po""")

; ==
; Lastly, let's write the name of the big file to a temp file, for pomerger to find.

$bigfile = FileOpen("TempD.txt", 130)
FileWrite ($bigfile, $inputfile)
FileClose ($bigfile)

